# Class IllegalThreadStateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.lang.IllegalThreadStateException

All Implemented Interfaces:
  `Serializable`

public class IllegalThreadStateException extends IllegalArgumentException
Thrown to indicate that a thread is not in an appropriate state for the requested operation.

Since:
  1.0
See Also:
  - `Thread.start()`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalThreadStateException()`
Constructs an `IllegalThreadStateException` with no detail message.
`IllegalThreadStateException(String s)`
Constructs an `IllegalThreadStateException` with the specified detail message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalThreadStateException

public IllegalThreadStateException()
Constructs an `IllegalThreadStateException` with no detail message.

### IllegalThreadStateException

public IllegalThreadStateException(String s)
Constructs an `IllegalThreadStateException` with the specified detail message.

Parameters:
  `s` - the detail message.